"use strict";
import axios from "axios";

// import.meta.env.VITE_APP_BASEAPIURL
let config = {
  baseURL: import.meta.env.VITE_APP_BASEAPIURL,
  timeout: 10*60 * 1000,
};
const _axios = axios.create(config);

_axios.interceptors.request.use(
  function (config) {
    return config;
  },
  function (error) {
    console.error(error);
    return Promise.reject(error);
  }
);
_axios.interceptors.response.use(
  function (response) {
    let data=response.data  
    if(response.status!==200){
      console.error('网络异常');
    }
    if(!data){
      console.error('服务器开了个小差');
    }
    if(data.Ret===408){//token失效
      console.error(data.Msg);
    }
    if(data.Ret===403){
      console.error(data.Msg||'网络异常');
    }
    return data;
  },
  function (error) {
    console.error(error);
    return Promise.reject(error);
  }
);
export const get = (url, params) => {
  return _axios.get(url, { params });
};
export const post = (url, params) => {
  return _axios.post(url, params);
};
